OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.ColorSubtable

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTColorSubtable :: MonadIO m => m Bool
- gl_EXT_color_subtable :: Bool
- glColorSubTableEXT :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glCopyColorSubTableEXT :: MonadIO m => GLenum -> GLsizei -> GLint -> GLint -> GLsizei -> m ()

# Extension Support

glGetEXTColorSubtable :: MonadIO m => m Bool Source #

Is the EXT_color_subtable extension supported?

gl_EXT_color_subtable :: Bool Source #

Is the EXT_color_subtable extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTColorSubtable` in those cases instead.

# Functions

glColorSubTableEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLsizei | `start`.
-> GLsizei | `count`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type,count)` elements of type `a`.
-> m () |

This command is an alias for `glColorSubTable`.

glCopyColorSubTableEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLsizei | `start`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

This command is an alias for `glCopyColorSubTable`.